net.dontdrinkandroot.cache

## Interface LruBufferedCache<K,V>

All Superinterfaces:
  Cache<K,V>, LruCache<K,V>

All Known Implementing Classes:
  LruBufferedSerializableIndexedDiskCache

    public interface LruBufferedCache<K,V>
    extends LruCache<K,V>

A Buffered Cache that has a LruRecyclingExpungeStrategy for both persistent storage and buffer.

Author:
  Philip W. Sorst <philip@sorst.net>

### Field Summary

### Fields inherited from interface net.dontdrinkandroot.cache.Cache

`UNLIMITED_IDLE_TIME`

### Method Summary

Methods
`int` `getBufferMaxSize()`
`int` `getBufferRecycleSize()`
`void` `setBufferMaxSize(int maxSize)`
`void` `setBufferRecycleSize(int bufferRecycleSize)`

### Methods inherited from interface net.dontdrinkandroot.cache.LruCache

`getMaxSize, getRecycleSize, setMaxSize, setRecycleSize`

### Methods inherited from interface net.dontdrinkandroot.cache.Cache

`cleanUp, delete, get, getDefaultMaxIdleTime, getDefaultTtl, getMetaData, getName, getStatistics, getWithErrors, put, putWithErrors, setDefaultTtl`

### Method Detail

#### getBufferMaxSize

    int getBufferMaxSize()

#### setBufferMaxSize

    void setBufferMaxSize(int maxSize)

#### getBufferRecycleSize

    int getBufferRecycleSize()

#### setBufferRecycleSize

    void setBufferRecycleSize(int bufferRecycleSize)